summaryrefslogtreecommitdiffstats
path: root/tests/testserver
diff options
context:
space:
mode:
Diffstat (limited to 'tests/testserver')
-rwxr-xr-xtests/testserver/cyrus/cyrus.sh34
-rw-r--r--tests/testserver/docker-compose.yml12
2 files changed, 46 insertions, 0 deletions
diff --git a/tests/testserver/cyrus/cyrus.sh b/tests/testserver/cyrus/cyrus.sh
new file mode 100755
index 0000000000..bd09acffc8
--- /dev/null
+++ b/tests/testserver/cyrus/cyrus.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2019 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:GPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 3 or (at your option) any later version
+## approved by the KDE Free Qt Foundation. The licenses are as published by
+## the Free Software Foundation and appearing in the file LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+service cyrus-imapd start
diff --git a/tests/testserver/docker-compose.yml b/tests/testserver/docker-compose.yml
index be65e5a26a..fe39a49cca 100644
--- a/tests/testserver/docker-compose.yml
+++ b/tests/testserver/docker-compose.yml
@@ -76,8 +76,20 @@ services:
- apache2:apache2.${TEST_DOMAIN}
- vsftpd:vsftpd.${TEST_DOMAIN}
- ftp-proxy:ftp-proxy.${TEST_DOMAIN}
+ - cyrus:cyrus.${TEST_DOMAIN}
volumes:
- ./common:/common:ro
- ./danted:/service:ro
entrypoint: common/startup.sh
command: service/danted.sh
+
+ cyrus:
+ image: qt-test-server-cyrus:c8d72754abc0e501afd624ce838e4df35505abc9
+ container_name: qt-test-server-cyrus
+ domainname: ${TEST_DOMAIN}
+ hostname: cyrus
+ volumes:
+ - ./common:/common:ro
+ - ./cyrus:/service:ro
+ entrypoint: common/startup.sh
+ command: service/cyrus.sh